Path Traversal Affecting github.com/slackhq/nebula Open this link in a new tab package, versions <1.2.0


0.0
high
  • Attack Complexity

    Low

  • Confidentiality

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-GOLANG-GITHUBCOMSLACKHQNEBULA-564380

  • published

    3 Apr 2020

  • disclosed

    3 Apr 2020

  • credit

    Unknown

How to fix?

Upgrade github.com/slackhq/nebula to version 1.2.0 or higher.

Overview

github.com/slackhq/nebula is a scalable overlay networking tool with a focus on performance, simplicity and security.

Affected versions of this package are vulnerable to Path Traversal. Slack Nebula through 1.1.0 contains a relative path vulnerability that allows a low-privileged attacker to execute code in the context of the root user via tun_darwin.go or tun_windows.go. A user can also use Nebula to execute arbitrary code in the user's own context, e.g., for user-level persistence or to bypass security controls. NOTE: the vendor states that this "requires a high degree of access and other preconditions that are tough to achieve."